For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
        • Scopes
          • POST/async-passthrough
          • GET/async-passthrough/{async_passthrough_receipt_id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Data managementAsync passthrough

/async-passthrough/{async_passthrough_receipt_id}

GET
/ats/v1/async-passthrough/:async_passthrough_receipt_id
GET
/api/ats/v1/async-passthrough/:async_passthrough_receipt_id
$curl https://api.merge.dev/api/ats/v1/async-passthrough/async_passthrough_receipt_id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "method": "GET",
3 "path": "/scooters",
4 "status": 200,
5 "response": null,
6 "response_headers": {
7 "X-Page-Token": "value"
8 },
9 "response_type": "JSON",
10 "headers": {
11 "EXTRA-HEADER": "value",
12 "Authorization": "<redacted>"
13 }
14}

Retrieves data from earlier async-passthrough POST request

Was this page helpful?
Previous

/async-passthrough

Next

/sync-status

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

async_passthrough_receipt_idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Response

methodstring
pathstring
statusinteger
responseany
response_headersmap from strings to any
response_typeenum
  • JSON - JSON
  • BASE64_GZIP - BASE64_GZIP
Allowed values:
headersmap from strings to any